> ## Documentation Index
> Fetch the complete documentation index at: https://student-213fb9fc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# クイックスタート

> Firecrawl はウェブサイト全体を LLM 向けのMarkdownに変換できます

<div id="scrape-your-first-website">
  ## 最初のウェブサイトをスクレイピングする
</div>

任意のウェブサイトを、1 回の API コールでクリーンな LLM 向けデータに変換できます。

<CardGroup cols={2}>
  <Card title="API キーを取得" icon="key" href="https://www.firecrawl.dev/app/api-keys">
    サインアップして、スクレイピングを開始するための API キーを取得しましょう
  </Card>

  <Card title="Playground で試す" icon="play" href="https://www.firecrawl.dev/playground">
    コードを書くことなく、その場で API をテストできます
  </Card>
</CardGroup>

<div id="use-firecrawl-with-ai-agents-recommended">
  ### AIエージェントでFirecrawlを使う（推奨）
</div>

Firecrawlスキルは、エージェントがFirecrawlを見つけて利用できるようにする最速の方法です。これがない場合、エージェントはFirecrawlが利用可能であることを認識できません。

```bash theme={null}
npx -y firecrawl-cli@latest init --all --browser
```

<Note>
  スキルのインストール後に、エージェントを再起動してください。セットアップ方法の詳細は [Skill + CLI](/ja/sdks/cli) を参照してください。
</Note>

または [MCP Server](/ja/mcp-server) を使用して、Firecrawl を Claude、Cursor、Windsurf、VS Code などの AI ツールに直接接続することもできます。

<div id="make-your-first-request">
  ### 最初のリクエストを送信する
</div>

以下のコードをコピーし、`fc-YOUR-API-KEY` を自分の API キーに置き換えて実行してください:

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST 'https://api.firecrawl.dev/v2/scrape' \
    -H 'Authorization: Bearer fc-YOUR-API-KEY' \
    -H 'Content-Type: application/json' \
    -d '{"url": "https://example.com"}'
  ```

  ```python Python theme={null}
  # pip install firecrawl-py
  from firecrawl import Firecrawl

  app = Firecrawl(api_key="fc-YOUR-API-KEY")
  result = app.scrape("https://example.com")
  print(result)
  ```

  ```javascript Node theme={null}
  // npm install @mendable/firecrawl-js
  import Firecrawl from '@mendable/firecrawl-js';

  const app = new Firecrawl({ apiKey: "fc-YOUR-API-KEY" });
  const result = await app.scrape("https://example.com");
  console.log(result);
  ```

  ```bash CLI theme={null}
  firecrawl https://example.com
  ```
</CodeGroup>

<Accordion title="レスポンス例">
  ```json theme={null}
  {
    "success": true,
    "data": {
      "markdown": "# Example Domain\n\nThis domain is for use in illustrative examples...",
      "metadata": {
        "title": "Example Domain",
        "sourceURL": "https://example.com"
      }
    }
  }
  ```
</Accordion>

***

<div id="what-can-firecrawl-do">
  ## Firecrawl でできること
</div>

<CardGroup cols={4}>
  <Card title="スクレイピング" icon="file-lines" href="#scraping">
    任意の URL から、Markdown・HTML・構造化 JSON でコンテンツを抽出します
  </Card>

  <Card title="検索" icon="magnifying-glass" href="#search">
    ウェブを検索し、結果からページ全体のコンテンツを取得します
  </Card>

  <Card title="エージェント" icon="robot" href="#agent">
    AI を活用した自律型のウェブデータ収集
  </Card>

  <Card title="ブラウザ" icon="browser" href="/ja/features/browser">
    対話的なウェブワークフロー向けのセキュアなサンドボックス型ブラウザセッション
  </Card>
</CardGroup>

<div id="why-firecrawl">
  ### なぜ Firecrawl なのか？
</div>

* **LLM 向けの出力**: クリーンな Markdown、構造化 JSON、スクリーンショットなどを生成
* **面倒な処理もまとめて対応**: プロキシ、ボット対策、JavaScript レンダリング、動的コンテンツまでカバー
* **高い信頼性**: プロダクション向けに構築されており、高い稼働率と一貫した結果を提供
* **高速**: 秒単位で結果を返し、高スループット向けに最適化
* **ブラウザサンドボックス**: エージェント向けの完全マネージドなブラウザ環境で、設定不要・任意の規模にスケール可能
* **MCP Server**: [Model Context Protocol](/ja/mcp-server) 経由で、任意の AI ツールに Firecrawl を接続

***

<div id="scraping">
  ## スクレイピング
</div>

任意のURLをスクレイプして、そのコンテンツをMarkdown、HTML、その他さまざまなフォーマットで取得できます。すべてのオプションについては [Scrape 機能ドキュメント](/ja/features/scrape) を参照してください。

<CodeGroup>
  ```python Python theme={null}
  from firecrawl import Firecrawl

  firecrawl = Firecrawl(api_key="fc-YOUR-API-KEY")

  # ウェブサイトをスクレイピングする：
  doc = firecrawl.scrape("https://firecrawl.dev", formats=["markdown", "html"])
  print(doc)
  ```

  ```js Node theme={null}
  import Firecrawl from '@mendable/firecrawl-js';

  const firecrawl = new Firecrawl({ apiKey: "fc-YOUR-API-KEY" });

  // ウェブサイトをスクレイピングする:
  const doc = await firecrawl.scrape('https://firecrawl.dev', { formats: ['markdown', 'html'] });
  console.log(doc);
  ```

  ```bash cURL theme={null}
  curl -s -X POST "https://api.firecrawl.dev/v2/scrape" \
    -H "Authorization: Bearer $FIRECRAWL_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{
      "url": "https://firecrawl.dev",
      "formats": ["markdown", "html"]
    }'
  ```

  ```bash CLI theme={null}
  # Scrape a URL and get markdown
  firecrawl https://firecrawl.dev

  # 複数のフォーマットで取得（JSONを返す）
  firecrawl https://firecrawl.dev --format markdown,html,links --pretty
  ```
</CodeGroup>

<Accordion title="レスポンス">
  SDKはデータオブジェクトを直接返します。cURLは以下のとおり、ペイロードをそのまま返します。

  ```json theme={null}
  {
    "success": true,
    "data" : {
      "markdown": "Launch Week I が開幕！[2日目のリリースを見る 🚀](https://www.firecrawl.dev/blog/launch-week-i-day-2-doubled-rate-limits)[💥 2か月無料をゲット...",
      "html": "<!DOCTYPE html><html lang=\"en\" class=\"light\" style=\"color-scheme: light;\"><body class=\"__variable_36bd41 __variable_d7dc5d font-inter ...",
      "metadata": {
        "title": "ホーム - Firecrawl",
        "description": "Firecrawl は、あらゆるウェブサイトをクリーンな Markdown にクロールして変換します。",
        "language": "en",
        "keywords": "Firecrawl,Markdown,データ,Mendable,Langchain",
        "robots": "follow, index",
        "ogTitle": "Firecrawl",
        "ogDescription": "あらゆるウェブサイトを LLM で使えるデータに変換。",
        "ogUrl": "https://www.firecrawl.dev/",
        "ogImage": "https://www.firecrawl.dev/og.png?123",
        "ogLocaleAlternate": [],
        "ogSiteName": "Firecrawl"
        "sourceURL": "https://firecrawl.dev",
        "statusCode": 200
      }
    }
  }
  ```
</Accordion>

<div id="search">
  ## Search
</div>

Firecrawl の検索APIを使うと、ウェブ検索と、必要に応じた検索結果のスクレイピングを1回の操作で実行できます。

* 出力フォーマット（markdown、HTML、links、screenshots）を選択
* 取得元のソース（web、news、images）を選択
* カスタマイズ可能なパラメータ（location など）でウェブを検索

詳細は [Search Endpoint API Reference](/ja/api-reference/endpoint/search) を参照してください。

<CodeGroup>
  ```python Python theme={null}
  from firecrawl import Firecrawl

  firecrawl = Firecrawl(api_key="fc-YOUR-API-KEY")

  results = firecrawl.search(
      query="Firecrawl",
      limit=3,
  )
  print(results)
  ```

  ```js Node theme={null}
  import Firecrawl from '@mendable/firecrawl-js';

  const firecrawl = new Firecrawl({ apiKey: "fc-YOUR-API-KEY" });

  const results = await firecrawl.search('firecrawl', {
    limit: 3,
    scrapeOptions: { formats: ['markdown'] }
  });
  console.log(results);
  ```

  ```bash theme={null}
  curl -s -X POST "https://api.firecrawl.dev/v2/search" \
    -H "Authorization: Bearer $FIRECRAWL_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{
      "query": "firecrawl",
      "limit": 3
    }'
  ```

  ```bash CLI theme={null}
  # ウェブを検索
  firecrawl search "firecrawl web scraping" --limit 5 --pretty
  ```
</CodeGroup>

<Accordion title="レスポンス">
  SDK は `data` オブジェクトをそのまま返します。cURL では完全なペイロードが返されます。

  ```json JSON theme={null}
  {
    "success": true,
    "data": {
      "web": [
        {
          "url": "https://www.firecrawl.dev/",
          "title": "Firecrawl - AI向けWebデータAPI",
          "description": "AI向けのウェブクローリング、スクレイピング、検索API。大規模運用に対応。Firecrawlはインターネット全体をAIエージェントやビルダーに提供します。",
          "position": 1
        },
        {
          "url": "https://github.com/firecrawl/firecrawl",
          "title": "mendableai/firecrawl: Turn entire websites into LLM-ready ... - GitHub",
          "description": "Firecrawl is an API service that takes a URL, crawls it, and converts it into clean markdown or structured data.",
          "position": 2
        },
        ...
      ],
      "images": [
        {
          "title": "Quickstart | Firecrawl",
          "imageUrl": "https://mintlify.s3.us-west-1.amazonaws.com/firecrawl/logo/logo.png",
          "imageWidth": 5814,
          "imageHeight": 1200,
          "url": "https://docs.firecrawl.dev/",
          "position": 1
        },
        ...
      ],
      "news": [
        {
          "title": "Y Combinator startup Firecrawl is ready to pay $1M to hire three AI agents as employees",
          "url": "https://techcrunch.com/2025/05/17/y-combinator-startup-firecrawl-is-ready-to-pay-1m-to-hire-three-ai-agents-as-employees/",
          "snippet": "It's now placed three new ads on YC's job board for “AI agents only” and has set aside a $1 million budget total to make it happen.",
          "date": "3 months ago",
          "position": 1
        },
        ...
      ]
    }
  }
  ```
</Accordion>

<div id="agent">
  ## Agent
</div>

Firecrawl の Agent は、自律的なウェブデータ収集ツールです。必要なデータを自然文で指示するだけで、ウェブ上を検索・移動し、任意のサイトからデータを抽出します。利用可能なオプションの詳細は [Agent 機能ドキュメント](/ja/features/agent) を参照してください。

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST 'https://api.firecrawl.dev/v2/agent' \
    -H 'Authorization: Bearer fc-YOUR-API-KEY' \
    -H 'Content-Type: application/json' \
    -d '{
      "prompt": "Find the pricing plans for Notion"
    }'
  ```

  ```python Python theme={null}
  from firecrawl import Firecrawl

  app = Firecrawl(api_key="fc-YOUR-API-KEY")
  result = app.agent("Find the pricing plans for Notion")
  print(result)
  ```

  ```javascript Node theme={null}
  import Firecrawl from '@mendable/firecrawl-js';

  const app = new Firecrawl({ apiKey: "fc-YOUR-API-KEY" });
  const result = await app.agent("Find the pricing plans for Notion");
  console.log(result);
  ```
</CodeGroup>

<Accordion title="レスポンス例">
  ```json theme={null}
  {
    "success": true,
    "data": {
      "result": "Notion offers the following pricing plans:\n\n1. **Free** - $0/month - For individuals...\n2. **Plus** - $10/seat/month - For small teams...\n3. **Business** - $18/seat/month - For companies...\n4. **Enterprise** - Custom pricing - For large organizations...",
      "sources": [
        "https://www.notion.so/pricing"
      ]
    }
  }
  ```
</Accordion>

***

<div id="resources">
  ## リソース
</div>

<CardGroup cols={2}>
  <Card title="APIリファレンス" icon="code" href="/ja/api-reference/v2-introduction">
    インタラクティブな実行例付きの詳細なAPIドキュメント
  </Card>

  <Card title="SDKs" icon="boxes-stacked" href="/ja/sdks/overview">
    Python、Node.js、CLI、コミュニティ製SDK
  </Card>

  <Card title="オープンソース" icon="github" href="/ja/contributing/open-source-or-cloud">
    Firecrawlをセルフホストする、またはプロジェクトに貢献する
  </Card>

  <Card title="連携" icon="puzzle-piece" href="/ja/developer-guides/llm-sdks-and-frameworks/openai">
    LangChain、LlamaIndex、OpenAI など
  </Card>
</CardGroup>
